2019-10-18 23:23 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001286FSSCP---------public2007-03-22 21:38
ReporterCP5670 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001286: FS2 can't recognize filenames with muliple periods in them
DescriptionThis issue is especially noticeable with the BGreen charge up sound, BT_up_3.5_wav. Instead of this, the game uses the TerSlash sound that has a similar filename, BT_up_3_wav. I haven't noticed this with any other sounds and got the same problem when I tried to play the sound directly using play-sound-from-file, so the multiple periods in BT_up_3.5.wav seem to be the culprit. I don't know whether this only applied to sounds or any type of file.

I believe this started happening some time between 3.6.9 RC7 and 3.6.9 final. I remember the BGreen sound working okay in one of the earlier RCs.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007645

taylor (administrator)

It's never worked properly with multiple periods. I don't really want to go through and fix that since it's not ever going to work 100%. The issue is that the sound stuff (from sounds.tbl and music.tbl) now ignore extensions and will remove any extension that it finds and try to add the proper file type.

This works exactly the same as most everything else, so the change is just keeping with existing functionality. The sound code simply worked differently than everything else did, until now. There is really no point in having audio files behave differently than all other file loading. So, the same rules now apply to sound files as everything else: 1) max of 31 characters with extension, 2) can have only one period in filename.

~0007646

CP5670 (reporter)

Yeah, the name of this file is a bit problematic. However, the filenames are set up this way in the retail sparky_fs2.vp, so something will need to be done about this particular case. One option might be to include a renamed version of the BT_up_3.5 file in the next core VP and a sounds.tbl that is adjusted accordingly.

There are also a few other pairs of files that have the same issue (the Terran and Shivan 1 and 1.5 beam warmup sounds), although the difference is not quite as noticeable in them.

~0007655

taylor (administrator)

Damn, forgot that retail data was screwed up too. I'll deffinitely have to rethink how it works it in that case.

~0007663

thesource2 (reporter)

Maybe it is easier to remove file extension by searching period from string end rather than beginning?

~0007664

taylor (administrator)

"Maybe it is easier to remove file extension by searching period from string end rather than beginning?"

That only works if the name is always going to have an extension on it. Most of the time they don't (in the case of images), or might not (in the case of sounds).

~0007665

thesource2 (reporter)

Maybe then remove only standard extensions (wav, jpg ecp)? It is easy to determine if they are at the end if string or not.

~0007742

taylor (administrator)

Should be fixed for the most part in this build:
http://icculus.org/~taylor/fso/willrobinson/Xt0227-win32.rar

All of the eventmusic tracks in music.tbl are still extension specific though. All sound effects, briefing voices, and general music (like briefing/mainhall music) are NOT extension specific.

~0007765

CP5670 (reporter)

The BGreen sound is playing correctly now. I think this looks good.

~0007875

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-02-16 22:33 CP5670 New Issue
2007-02-17 00:58 taylor Note Added: 0007645
2007-02-17 07:00 CP5670 Note Added: 0007646
2007-02-17 19:06 taylor Note Added: 0007655
2007-02-17 19:06 taylor Status new => assigned
2007-02-17 19:06 taylor Assigned To => taylor
2007-02-18 08:51 thesource2 Note Added: 0007663
2007-02-18 09:00 taylor Note Added: 0007664
2007-02-18 09:39 thesource2 Note Added: 0007665
2007-02-27 05:51 taylor Note Added: 0007742
2007-02-28 09:49 CP5670 Note Added: 0007765
2007-03-22 21:38 taylor Status assigned => resolved
2007-03-22 21:38 taylor Fixed in Version => 3.6.10
2007-03-22 21:38 taylor Resolution open => fixed
2007-03-22 21:38 taylor Note Added: 0007875
+Issue History